Bug 535796 - (RHQ-2455) update XmlJavaTypeAdapters to consistently handle both client and server side adaptations AND return list of IDs for references nulled out for cycles/serialization
update XmlJavaTypeAdapters to consistently handle both client and server side...
Status: CLOSED NOTABUG
Product: RHQ Project
Classification: Other
Component: Web Services (Show other bugs)
1.3
All All
low Severity medium (vote)
: ---
: ---
Assigned To: Simeon Pinder
http://jira.rhq-project.org/browse/RH...
: CodeChange, SubBug
Depends On:
Blocks: jon30-bugs
  Show dependency treegraph
 
Reported: 2009-10-05 13:38 EDT by Simeon Pinder
Modified: 2014-05-09 12:00 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
All known
Last Closed: 2014-05-09 12:00:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simeon Pinder 2009-10-05 13:38:00 EDT
During fixes for 2.3 it was discovered that the xmlJavaTypeAdapter implementations were not consistently implemented across the board for Webservices.  In some cases the adapter was only needed on one side(client/server) for implementations tested.  These should be consistently implemented.

Additionally for all the locations where @XmlTransients were applied to eliminate cycles for serializations and an XmlJavaType adapter is being used, it would be a useful enhancement to return those additional ids to the client as list of integers to the client.  This would be a convenience to the WS clients so that it would be clearer how to reconstruct the full object trees if such a thing is desired.  
Comment 1 Red Hat Bugzilla 2009-11-10 16:04:46 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2455
Comment 2 wes hayutin 2010-02-16 11:54:30 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 11:59:55 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Jay Shaughnessy 2014-05-09 12:00:42 EDT
WS are gone.

Note You need to log in before you can comment on or make changes to this bug.